export default {
  ssr: false,
  server: { port: 3186 },
  // server: { port: 3014 },
  target: 'static',
  head: {
    title: 'PC Puma',
    htmlAttrs: {
      lang: 'es',
    },
    meta: [
      { charset: 'utf-8' },
      { name: 'viewport', content: 'width=device-width, initial-scale=1' },
      { hid: 'description', name: 'description', content: '' },
    ],
    link: [{ rel: 'icon', type: 'image/x-icon', href: '/favicon.ico' }],
  },
  css: [],
  plugins: ['~/plugins/inject.js'],
  components: true,
  buildModules: [],
  modules: ['nuxt-buefy', '@nuxtjs/axios', 'nuxt-socket-io',  '@nuxtjs/recaptcha'],
  axios: {},
  recaptcha: {
   // hideBadge: Boolean, // Hide badge element (v3 & v2 via size=invisible)
    language: "v2",   // Recaptcha language (v2)
    mode: "base",       // Mode: 'base', 'enterprise'
    siteKey: "6LfYGWAhAAAAAMaIRI6PLq5l1iHxfPYVxnxBSOU1",    // Site key for requests
    version: 2,    // Version
    size: "normal"        // Size: 'compact', 'normal', 'invisible' (v2)
  },
  publicRuntimeConfig: {
    recaptcha: {
     
      siteKey: "6LfYGWAhAAAAAMaIRI6PLq5l1iHxfPYVxnxBSOU1" // for example
    }
  },

  build: {},
  io: {
    sockets: [
      {
        name: 'main',
        // url: 'http://localhost:3000',
        // url: 'https://venus.acatlan.unam.mx',
        // url: 'https://pmodulospcpuma.unam.mx',
        url: 'https://modulospcpuma.unam.mx',
      },
    ],
  },
  env: {
    // api: 'http://localhost:3000',
    // api: 'https://venus.acatlan.unam.mx/pcpumaUnam_test',
    // api: 'https://pmodulospcpuma.unam.mx/pcpumaUnam_test',
    api: 'https://modulospcpuma.unam.mx/pcpumaUnam',
    // path: '/socket.io/',
    // path: '/pcpumaUnam_test/socket.io/',
    path: '/pcpumaUnam/socket.io/',
  },
}
